Package org.talend.transform.runtime.api

# Interface SampleObjectProvider

public interface SampleObjectProvider
Used to provide a Java object which is a sample to be associated with a structure to be used as input to a map. This is used in conjunction with the wizard in the designer to generate the sample document corresponding to the object for the structure.

## Method Summary

Modifier and Type
Method
Description
`Object`
`getSampleObject()`
Returns the sample object to be associated with the structure selected by the wizard.

## Method Details

### getSampleObject

Object getSampleObject()
Returns the sample object to be associated with the structure selected by the wizard.

Returns:
  a sample object